﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["data"] == null)
        {
            Session["data"] = getTable();
        }

        this.WebDataGrid1.DataSource = Session["data"];
    }

    private DataTable getTable()
    {
        DataTable table = new DataTable();

        table.Columns.Add("UserID", typeof(Int32));
        table.Columns.Add("FirstName", typeof(string));
        table.Columns.Add("LastName", typeof(string));

        for (int i = 0; i < 5; i++)
        {
            table.Rows.Add(new object[] { i, "FirstName" + i, "LastName" + i});
        }

        table.PrimaryKey = new DataColumn[] { table.Columns["UserID"] };

        return table;
    }
  
}